#!/usr/bin/env python3
# input validator

import sys
import re

fi = open(sys.argv[1], 'rt')
fo = open(sys.argv[2], 'wt')

(n, m, k) = map(int, fi.readline().split())
if 1 > n or n > 300:
	sys.exit('N out of range')
if 1 > m or m > 300:
	sys.exit('M out of range')
if 1 > k or k > 300:
	sys.exit('K out of range')
fo.write('{0} {1} {2}\n'.format(n, m, k))

aa = list(map(int, fi.readline().split()))
if len(aa) != n:
	sys.exit('Invalid length of A')
for i, a in enumerate(aa):
	if 1 > a or a > 300:
		sys.exit('A[{0}] out of range'.format(1 + i))
fo.write('{0}\n'.format(' '.join(map(str, aa))))

bb = list(map(int, fi.readline().split()))
if len(bb) != m:
	sys.exit('Invalid length of B')
for i, b in enumerate(bb):
	if 1 > b or b > 300:
		sys.exit('B[{0}] out of range'.format(1 + i))
fo.write('{0}\n'.format(' '.join(map(str, bb))))

fi.close()
fo.close()

if len(sys.argv) > 3 and sys.argv[3] == '-v':
	if m <= 2:
		print('subtask 1')
	elif m <= 15:
		print('subtask 2')
	elif k == 1:
		print('subtask 3')
	elif n <= 40 and m <= 40 and k <= 40 and max(aa) <= 40 and max(bb) <= 40:
		print('subtask 4')
	else:
		print('subtask 5')
